"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultOTELInstrumentations = void 0;
var instrumentation_document_load_1 = require("@opentelemetry/instrumentation-document-load");
var instrumentation_fetch_1 = require("@opentelemetry/instrumentation-fetch");
var instrumentation_user_interaction_1 = require("@opentelemetry/instrumentation-user-interaction");
var instrumentation_xml_http_request_1 = require("@opentelemetry/instrumentation-xml-http-request");
function getDefaultOTELInstrumentations(ignoreUrls) {
    if (ignoreUrls === void 0) { ignoreUrls = []; }
    return [
        new instrumentation_document_load_1.DocumentLoadInstrumentation(),
        new instrumentation_fetch_1.FetchInstrumentation({ ignoreUrls: ignoreUrls }),
        new instrumentation_xml_http_request_1.XMLHttpRequestInstrumentation({ ignoreUrls: ignoreUrls }),
        new instrumentation_user_interaction_1.UserInteractionInstrumentation(),
    ];
}
exports.getDefaultOTELInstrumentations = getDefaultOTELInstrumentations;
//# sourceMappingURL=getDefaultOTELInstrumentations.js.map